VIM_FILES	=.vimrc .vim
ZSH_FILES	=.zshrc .zsh.d
X11_FILES	=.Xdefaults
VIMPERATOR_FILES	=.vimperatorrc .vimperator

all: 
	@echo "Nothing to do.  Use make import or make install"

import: $(addprefix $(HOME)/, \
                    $(VIM_FILES) \
                    $(ZSH_FILES) \
                    $(X11_FILES) \
                    $(VIMPERATOR_FILES) )
	cp -R $^ .

install: vim_install zsh_install x11_install vimperator_install

vim_install: $(VIM_FILES)
	cp -R $^ $(HOME)
	vim --cmd "helptags $(HOME)/.vim/doc|q"

zsh_install: $(ZSH_FILES)
	cp -R $^ $(HOME)

x11_install: $(X11_FILES)
	cp -R $^ $(HOME)

vimperator_install: $(VIMPERATOR_FILES)
	cp -R $^ $(HOME)

.PHONY: import install vim_install zsh_install x11_install vimperator_install
